Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.msv.reader.datatype.xsd
Class SimpleTypeState

    java.lang.Object
      com.sun.msv.reader.State
          com.sun.msv.reader.SimpleState
              com.sun.msv.reader.datatype.xsd.TypeState
                  com.sun.msv.reader.datatype.xsd.TypeWithOneChildState
                      com.sun.msv.reader.datatype.xsd.SimpleTypeState

All Implemented Interfaces:
  org.xml.sax.ContentHandler, XSTypeOwner

public class SimpleTypeState
extends com.sun.msv.reader.datatype.xsd.TypeWithOneChildState

State that parses <simpleType> element and its children.

Author:
  Kohsuke KAWAGUCHI

Field Summary

Fields inherited from class com.sun.msv.reader.State
`reader`

Constructor Summary
`SimpleTypeState()`

Method Summary
`void` | `endSelf()`
`int` | `getFinalValue(java.lang.String list)` parses final attribute
`java.lang.String` | `getTargetNamespaceUri()` Returns the target namespace URI of newly created simple types.
`void` | `onEndChild(XSDatatypeExp child)` receives a Pattern object that is contained in this element.
`void` | `startElement(java.lang.String namespaceURI, java.lang.String localName, java.lang.String qName, org.xml.sax.Attributes atts)`

Methods inherited from class com.sun.msv.reader.SimpleState
`endDocument, endElement`

Methods inherited from class com.sun.msv.reader.State
`_assert, characters, endPrefixMapping, getBaseURI, getLocation, getParentState, getStartTag, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.sun.msv.reader.datatype.xsd.XSTypeOwner
`getTargetNamespaceUri`

Constructor Detail

### SimpleTypeState

    public SimpleTypeState()

Method Detail

### getFinalValue

    public int getFinalValue(java.lang.String list)

  parses final attribute

### onEndChild

    public void onEndChild(XSDatatypeExp child)

  receives a Pattern object that is contained in this element.

  Specified by:
    `onEndChild` in interface `XSTypeOwner`

### getTargetNamespaceUri

    public final java.lang.String getTargetNamespaceUri()

### endSelf

    public void endSelf()

### startElement

    public final void startElement(java.lang.String namespaceURI,
                                   java.lang.String localName,
                                   java.lang.String qName,
                                   org.xml.sax.Attributes atts)

  Specified by:
    `startElement` in interface `org.xml.sax.ContentHandler`
  Overrides:
    `startElement` in class `SimpleState`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD